CMSIS-DSP: Deprecated List

| CMSIS-DSP Version 1.5.2 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Deprecated List

Global arm_cfft_radix2_f32 (const arm_cfft_radix2_instance_f32 *S, float32_t *pSrc)
  Do not use this function. It has been superseded by arm_cfft_f32 and will be removed in the future.
  Parameters

    [in] | *S | points to an instance of the floating-point Radix-2 CFFT/CIFFT structure.
    [in,out] | *pSrc | points to the complex data buffer of size `2*fftLen`. Processing occurs in-place.

  Returns
    none.
Global arm_cfft_radix2_init_f32 (arm_cfft_radix2_instance_f32 *S, uint16_t fftLen, uint8_t ifftFlag, uint8_t bitReverseFlag)
  Do not use this function. It has been superseded by arm_cfft_f32 and will be removed in the future.
  Parameters

    [in,out] | *S | points to an instance of the floating-point CFFT/CIFFT structure.
    [in] | fftLen | length of the FFT.
    [in] | ifftFlag | flag that selects forward (ifftFlag=0) or inverse (ifftFlag=1) transform.
    [in] | bitReverseFlag | flag that enables (bitReverseFlag=1) or disables (bitReverseFlag=0) bit reversal of output.

  Returns
    The function returns ARM_MATH_SUCCESS if initialization is successful or ARM_MATH_ARGUMENT_ERROR if `fftLen` is not a supported value.
Global arm_cfft_radix2_init_q15 (arm_cfft_radix2_instance_q15 *S, uint16_t fftLen, uint8_t ifftFlag, uint8_t bitReverseFlag)
  Do not use this function. It has been superseded by arm_cfft_q15 and will be removed
  Parameters

    [in,out] | *S | points to an instance of the Q15 CFFT/CIFFT structure.
    [in] | fftLen | length of the FFT.
    [in] | ifftFlag | flag that selects forward (ifftFlag=0) or inverse (ifftFlag=1) transform.
    [in] | bitReverseFlag | flag that enables (bitReverseFlag=1) or disables (bitReverseFlag=0) bit reversal of output.

  Returns
    The function returns ARM_MATH_SUCCESS if initialization is successful or ARM_MATH_ARGUMENT_ERROR if `fftLen` is not a supported value.
Global arm_cfft_radix2_init_q31 (arm_cfft_radix2_instance_q31 *S, uint16_t fftLen, uint8_t ifftFlag, uint8_t bitReverseFlag)
  Do not use this function. It has been superseded by arm_cfft_q31 and will be removed
  Parameters

    [in,out] | *S | points to an instance of the Q31 CFFT/CIFFT structure.
    [in] | fftLen | length of the FFT.
    [in] | ifftFlag | flag that selects forward (ifftFlag=0) or inverse (ifftFlag=1) transform.
    [in] | bitReverseFlag | flag that enables (bitReverseFlag=1) or disables (bitReverseFlag=0) bit reversal of output.

  Returns
    The function returns ARM_MATH_SUCCESS if initialization is successful or ARM_MATH_ARGUMENT_ERROR if `fftLen` is not a supported value.
Global arm_cfft_radix2_q15 (const arm_cfft_radix2_instance_q15 *S, q15_t *pSrc)
  Do not use this function. It has been superseded by arm_cfft_q15 and will be removed
  Parameters

    [in] | *S | points to an instance of the fixed-point CFFT/CIFFT structure.
    [in,out] | *pSrc | points to the complex data buffer of size `2*fftLen`. Processing occurs in-place.

  Returns
    none.
Global arm_cfft_radix2_q31 (const arm_cfft_radix2_instance_q31 *S, q31_t *pSrc)
  Do not use this function. It has been superseded by arm_cfft_q31 and will be removed
  Parameters

    [in] | *S | points to an instance of the fixed-point CFFT/CIFFT structure.
    [in,out] | *pSrc | points to the complex data buffer of size `2*fftLen`. Processing occurs in-place.

  Returns
    none.
Global arm_cfft_radix4_f32 (const arm_cfft_radix4_instance_f32 *S, float32_t *pSrc)
  Do not use this function. It has been superseded by arm_cfft_f32 and will be removed in the future.
  Parameters

    [in] | *S | points to an instance of the floating-point Radix-4 CFFT/CIFFT structure.
    [in,out] | *pSrc | points to the complex data buffer of size `2*fftLen`. Processing occurs in-place.

  Returns
    none.
Global arm_cfft_radix4_init_f32 (arm_cfft_radix4_instance_f32 *S, uint16_t fftLen, uint8_t ifftFlag, uint8_t bitReverseFlag)
  Do not use this function. It has been superceded by arm_cfft_f32 and will be removed in the future.
  Parameters

    [in,out] | *S | points to an instance of the floating-point CFFT/CIFFT structure.
    [in] | fftLen | length of the FFT.
    [in] | ifftFlag | flag that selects forward (ifftFlag=0) or inverse (ifftFlag=1) transform.
    [in] | bitReverseFlag | flag that enables (bitReverseFlag=1) or disables (bitReverseFlag=0) bit reversal of output.

  Returns
    The function returns ARM_MATH_SUCCESS if initialization is successful or ARM_MATH_ARGUMENT_ERROR if `fftLen` is not a supported value.
Global arm_cfft_radix4_init_q15 (arm_cfft_radix4_instance_q15 *S, uint16_t fftLen, uint8_t ifftFlag, uint8_t bitReverseFlag)
  Do not use this function. It has been superseded by arm_cfft_q15 and will be removed
  Parameters

    [in,out] | *S | points to an instance of the Q15 CFFT/CIFFT structure.
    [in] | fftLen | length of the FFT.
    [in] | ifftFlag | flag that selects forward (ifftFlag=0) or inverse (ifftFlag=1) transform.
    [in] | bitReverseFlag | flag that enables (bitReverseFlag=1) or disables (bitReverseFlag=0) bit reversal of output.

  Returns
    The function returns ARM_MATH_SUCCESS if initialization is successful or ARM_MATH_ARGUMENT_ERROR if `fftLen` is not a supported value.
Global arm_cfft_radix4_init_q31 (arm_cfft_radix4_instance_q31 *S, uint16_t fftLen, uint8_t ifftFlag, uint8_t bitReverseFlag)
  Do not use this function. It has been superseded by arm_cfft_q31 and will be removed
  Parameters

    [in,out] | *S | points to an instance of the Q31 CFFT/CIFFT structure.
    [in] | fftLen | length of the FFT.
    [in] | ifftFlag | flag that selects forward (ifftFlag=0) or inverse (ifftFlag=1) transform.
    [in] | bitReverseFlag | flag that enables (bitReverseFlag=1) or disables (bitReverseFlag=0) bit reversal of output.

  Returns
    The function returns ARM_MATH_SUCCESS if initialization is successful or ARM_MATH_ARGUMENT_ERROR if `fftLen` is not a supported value.
Global arm_cfft_radix4_q15 (const arm_cfft_radix4_instance_q15 *S, q15_t *pSrc)
  Do not use this function. It has been superseded by arm_cfft_q15 and will be removed
  Parameters

    [in] | *S | points to an instance of the Q15 CFFT/CIFFT structure.
    [in,out] | *pSrc | points to the complex data buffer. Processing occurs in-place.

  Returns
    none.
Global arm_cfft_radix4_q31 (const arm_cfft_radix4_instance_q31 *S, q31_t *pSrc)
  Do not use this function. It has been superseded by arm_cfft_q31 and will be removed
  Parameters

    [in] | *S | points to an instance of the Q31 CFFT/CIFFT structure.
    [in,out] | *pSrc | points to the complex data buffer of size `2*fftLen`. Processing occurs in-place.

  Returns
    none.
Global arm_rfft_f32 (const arm_rfft_instance_f32 *S, float32_t *pSrc, float32_t *pDst)
  Do not use this function. It has been superceded by arm_rfft_fast_f32 and will be removed in the future.
  Parameters

    [in] | *S | points to an instance of the floating-point RFFT/RIFFT structure.
    [in] | *pSrc | points to the input buffer.
    [out] | *pDst | points to the output buffer.

  Returns
    none.